# Project: snake
# Makefile created by Dev-C++ 4.9.9.2

CPP  = g++.exe -D__DEBUG__
CC   = gcc.exe -D__DEBUG__
WINDRES = windres.exe
RES  = ../Snake_dev/objs/snake_private.res
OBJ  = ../Snake_dev/objs/cJeu.o ../Snake_dev/objs/cPoint.o ../Snake_dev/objs/cSerpent.o ../Snake_dev/objs/main.o ../Snake_dev/objs/cPomme.o $(RES)
LINKOBJ  = ../Snake_dev/objs/cJeu.o ../Snake_dev/objs/cPoint.o ../Snake_dev/objs/cSerpent.o ../Snake_dev/objs/main.o ../Snake_dev/objs/cPomme.o $(RES)
LIBS =  -L"C:/Dev-Cpp/lib" -mwindows -lmingw32 -lSDLmain -lSDL -lSDL_ttf  -lgmon -pg  -g3 
INCS =  -I"C:/Dev-Cpp/include" 
CXXINCS =  -I"C:/Dev-Cpp/lib/gcc/mingw32/3.4.2/include"  -I"C:/Dev-Cpp/include/c++/3.4.2/backward"  -I"C:/Dev-Cpp/include/c++/3.4.2/mingw32"  -I"C:/Dev-Cpp/include/c++/3.4.2"  -I"C:/Dev-Cpp/include" 
BIN  = bin/snake.exe
CXXFLAGS = $(CXXINCS)   -pg -g3
CFLAGS = $(INCS) -Dmain=SDL_main   -pg -g3
RM = rm -f

.PHONY: all all-before all-after clean clean-custom

all: all-before bin/snake.exe all-after


clean: clean-custom
	${RM} $(OBJ) $(BIN)

$(BIN): $(OBJ)
	$(CPP) $(LINKOBJ) -o "bin\snake.exe" $(LIBS)

../Snake_dev/objs/cJeu.o: cJeu.cpp
	$(CPP) -c cJeu.cpp -o ../Snake_dev/objs/cJeu.o $(CXXFLAGS)

../Snake_dev/objs/cPoint.o: cPoint.cpp
	$(CPP) -c cPoint.cpp -o ../Snake_dev/objs/cPoint.o $(CXXFLAGS)

../Snake_dev/objs/cSerpent.o: cSerpent.cpp
	$(CPP) -c cSerpent.cpp -o ../Snake_dev/objs/cSerpent.o $(CXXFLAGS)

../Snake_dev/objs/main.o: main.cpp
	$(CPP) -c main.cpp -o ../Snake_dev/objs/main.o $(CXXFLAGS)

../Snake_dev/objs/cPomme.o: cPomme.cpp
	$(CPP) -c cPomme.cpp -o ../Snake_dev/objs/cPomme.o $(CXXFLAGS)

../Snake_dev/objs/snake_private.res: snake_private.rc 
	$(WINDRES) -i snake_private.rc --input-format=rc -o ../Snake_dev/objs/snake_private.res -O coff 
